using System.Collections.Generic;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Misc
{
    internal class RedThread : DecimationItem
    {
        protected override string ItemName => "Red Thread";

        protected override void Init()
        {
            item.width = 28;
            item.height = 20;
            item.rare = Rarity.Gray.GetRarityValue();
            item.value = Item.buyPrice(0, 2);

            this.item.maxStack = 99;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, new List<int> {TileID.Tables, TileID.Chairs});

            recipe.AddIngredient(ItemID.RedDye);
            recipe.AddIngredient(ItemID.PinkThread, 5);

            return recipe;
        }
    }
}